Bug 1249011 - (CVE-2015-5697) CVE-2015-5697 linux kernel: information leak in md driver
CVE-2015-5697 linux kernel: information leak in md driver
Status: CLOSED WONTFIX
Product: Security Response
Classification: Other
Component: vulnerability (Show other bugs)
unspecified
All Linux
low Severity low
: ---
: ---
Assigned To: Red Hat Product Security
impact=low,public=20150725,reported=2...
: Security
Depends On: 1249013
Blocks: 1249021
  Show dependency treegraph
 
Reported: 2015-07-31 06:31 EDT by Adam Mariš
Modified: 2016-06-15 06:10 EDT (History)
27 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
A cross-boundary flaw was discovered in the Linux kernel software raid driver. The driver accessed a disabled bitmap where only the first byte of the buffer was initialized to zero. This meant that the rest of the request (up to 4095 bytes) was left and copied into user space. An attacker could use this flaw to read private information from user space that would not otherwise have been accessible.
Story Points: ---
Clone Of:
Environment:
Last Closed: 2016-06-15 06:10:19 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Adam Mariš 2015-07-31 06:31:47 EDT
In the md driver (drivers/md/md.c) of the Linux kernel it’s possible to request a bitmap file for a device using get_bitmap_file(), which uses kmalloc().
When bitmap is disabled, only the first byte of the buffer is initialized to zero, and then the whole buffer is copied in user space.
It's possible to read up to 4095 bytes of kernel space memory from user space. This results in local kernel information leak.

Upstream patch:
http://git.kernel.org/cgit/linux/kernel/git/next/linux-next.git/commit/?id=77ba0569d4c8389c0a2162ab0c7c16a6f3b199e4

CVE assignment:
http://seclists.org/oss-sec/2015/q3/235
Comment 1 Adam Mariš 2015-07-31 06:33:14 EDT
Created kernel tracking bugs for this issue:

Affects: fedora-all [bug 1249013]
Comment 2 Fedora Update System 2015-08-12 02:58:13 EDT
kernel-4.1.4-200.fc22 has been pushed to the Fedora 22 stable repository.  If problems still persist, please make note of it in this bug report.
Comment 3 Fedora Update System 2015-08-12 03:05:22 EDT
kernel-4.1.4-100.fc21 has been pushed to the Fedora 21 stable repository.  If problems still persist, please make note of it in this bug report.
Comment 4 Fedora Update System 2015-08-19 04:04:06 EDT
kernel-4.1.5-200.fc22 has been pushed to the Fedora 22 stable repository.  If problems still persist, please make note of it in this bug report.
Comment 5 Fedora Update System 2015-08-19 04:12:00 EDT
kernel-4.1.5-100.fc21 has been pushed to the Fedora 21 stable repository.  If problems still persist, please make note of it in this bug report.
Comment 6 Wade Mealing 2015-11-04 23:32:04 EST
Statement:

This issue affects the Linux kernels as shipped with Red Hat Enterprise Linux 5, 6, 7, MRG-2 and realtime and may be addressed in a future update.

Note You need to log in before you can comment on or make changes to this bug.